tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ulrich Stärk <...@spielviel.de>
Subject Re: Build failed in Jenkins: tapestry-trunk-freestyle #1204
Date Thu, 01 May 2014 16:38:03 GMT
Historically I have been a strong opponent to Java version upgrades for Tapestry because IMO
the
disadvantages outweighed the advantages by far.

Now that we have lambda expressions, default methods, Nashorn and many other useful features
I'm
leaning towards making a radical break and switch to Java 8.

We should have a formal vote for such a radical change and a discussion firstin order to gather
comments and opinions from the community.

Uli

On 2014-04-30 12:57, Jochen Kemnade wrote:
> Am 29.04.2014 21:07, schrieb Jochen Kemnade:
>> I'll downgrade it tomorrow and get myself a Java 1.5 compiler...
> 
> Which is much harder than I thought it was. I managed to find old rt.jar and jce.jar
files and to
> make Gradle use them.
> Now I'm getting compile errors, e.g. in VirtualResource:88, MacOutputStream:45 and others.
Mostly,
> it's Java 6 methods being used.
> First of all, do we still want to stick with Java 5 now that Java 8 is out and even Java
6 is EOL?
> Second, I wonder why it builds in Jenkins. What JDK is used there?
> 
> Jochen
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
> For additional commands, e-mail: dev-help@tapestry.apache.org
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
For additional commands, e-mail: dev-help@tapestry.apache.org


Mime
View raw message